/** \file helloKcmd.h is a header file with constants and prototypes
 * relating to a simple command processor.
 */
#ifndef HELLOKCMD_H__
#define HELLOKCMD_H__


/* The following bit definitions assume an LED is on PD5 */
#define REG_LEDA_IO PORTD  /**<  Define the port that the activity LED is on. */
#define REG_LEDA_DDR DDRD  /**<  Define the data Direction register for LED A. */
#define BIT_LEDA PD7         /**<  Define the bit for that signal. */ 


/* defines for the various USART registers */
#define REG_UART0_BAUD_LOW	     UBRR0L
#define REG_UART0_STATUS	        UCSR0A
#define REG_UART0_CONTROL	     UCSR0B
#define BIT_UART0_TX_RDY  UDRE0
#define BIT_UART0_TX_EN TXEN0
#define BIT_UART0_RX_EN	  RXEN0
#define BIT_UART0_TX_COMPLETE  TXC0
#define BIT_UART0_RX_COMPLETE	  RXC0
#define REG_UART0_DATA	        UDR0


/* Prototypes of global functions. */
extern void uartPutChar(char c);
extern char uartGetChar(void);
extern void uartPutString(char *pStr);
extern void uartPutString_P(const char *pStr);
extern int uartIsCharAvail(void);


#endif /* HELLOKCMD_H__ */
