/*
	kcmd command processor - Copyright (C) 2009 Kevin Stokes.

	This file is part of the kcmd command processor distribution
	originally availabe from http://www.boldinventions.com

	This program is free software; you can redistribute it and/or modify
	it under the terms of the Eclipse Public License - v 1.0.

	This software has NO WARRANTY.  Use it at your own risk;   It 
	has no warranty of any kind, implied or otherwise.

	There should be a copy of the Eclipse Public License along with
	this source code.  If not, it can be found on the eclipse.org
        website:  http://www.eclipse.org

*/

/** \file kcmdPlatform.h contains platform specific definitions.
  *
  */
#ifndef KCMDPLATFORM_H__
#define KCMDPLATFORM_H__

// If no platform is found, this will remain undefined so we can 
// give a good error message for the developer.
#undef PLATFORM_FOUND

/********************  WIN32_CONSOLE ****************************************/
#ifdef WIN32_CONSOLE
#define PLATFORM_FOUND 1 

#include "port/kcmdPort_WIN32_CONSOLE.h"

#endif /* WIN32_CONSOLE */
/****************************************************************************/


/********************  GCC_MEGA_AVR *****************************************/
#ifdef GCC_MEGA_AVR
#define PLATFORM_FOUND 1 

#include "port/kcmdPort_GCC_MEGA_AVR.h"

#endif /* GCC_MEGA_AVR */
/****************************************************************************/


// Issue Error if no symbol was defined so we could get the right include file
// for the platform.
#ifndef PLATFORM_FOUND
#error No Platform Symbol Defined.  Pick a platform from this include file and define the symbol
#endif /* PLATFORM_FOUND */


#endif /* KCMDPLATFORM_H__ */
